Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Public Attributes
tlp::Dependency Struct Reference
Plugins

Represents a single Tulip plug-in. More...

`#include <WithDependency.h>`

List of all members.

## Public Member Functions

- Dependency (std::string fName, std::string pName, std::string pRelease)
    Constructs a new dependency.

## Public Attributes

- std::string factoryName
    The typename of the dependency (e.g. DoubleAlgorithm)
- std::string pluginName
    The name of the plug-in, as registered in the Tulip plug-in system.
- std::string pluginRelease
    The required version of the plug-in.

## Detailed Description

Represents a single Tulip plug-in.

## Constructor & Destructor Documentation

tlp::Dependency::Dependency | ( | std::string | fName,
|  | std::string | pName,
|  | std::string | pRelease
| ) |  | `[inline]`

Constructs a new dependency.

Parameters:

  fName | The typename of the dependency (e.g. DoubleAlgorithm)
  pName | The name of the plug-in, as registered in the Tulip plug-in system.
  pRelease | The required version of the plug-in.

## Member Data Documentation

std::string tlp::Dependency::factoryName

The typename of the dependency (e.g. DoubleAlgorithm)

std::string tlp::Dependency::pluginName

The name of the plug-in, as registered in the Tulip plug-in system.

std::string tlp::Dependency::pluginRelease

The required version of the plug-in.

Tulip Software by LaBRI Visualization Team 2001 - 2012